### Method

# Gtk AlertDialog set_modal

since: 4.10

#### Declaration [src]

    void
    gtk_alert_dialog_set_modal (
      GtkAlertDialog* self,
      gboolean modal
    )

#### Description [src]

Sets whether the alert blocks interaction with the parent window while it is presented.

Available since: 4.10

Sets property | `Gtk.AlertDialog:modal`

#### Parameters

`modal`

  Type: `gboolean`

  The new value.